Skip to main content
GET
/
v1
/
accounts
/
{id}
/
orders
Python (SDK)
from finance_dev import FinanceDev, models
import os


with FinanceDev(
    security=models.Security(
        client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
        client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
    ),
) as fd_client:

    res = fd_client.accounts.get_account_orders(id="<id>", limit=0)

    # Handle response
    print(res)
[
  {
    "id": 123,
    "status": "<string>",
    "orderAction": "<string>",
    "userId": 123,
    "sterlingOrderId": "<string>",
    "symbol": "<string>",
    "avgPrice": "<string>",
    "quantityFilled": "<string>",
    "postEffect": "<string>",
    "submittedAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "instrument": "<string>",
    "quantity": "<string>",
    "orderRejectionReason": "<string>",
    "type": "<string>",
    "tradeAction": "<string>",
    "stopPrice": "<string>",
    "limitPrice": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Account ID

Query Parameters

limit
integer<int64>
default:0

Maximum number of orders to return (0 = no limit)

Required range: x >= 0

Response

Account orders retrieved successfully

id
integer<int64>

Internal order ID

status
string

Order status

orderAction
string

Order action type

userId
integer<int64>

User ID who placed the order

sterlingOrderId
string

Sterling order identifier

symbol
string

Trading symbol

avgPrice
string

Average fill price

quantityFilled
string

Quantity filled

postEffect
string

Post-trade effect

submittedAt
string<date-time>

When order was submitted

updatedAt
string<date-time>

When order was last updated

instrument
string

Financial instrument type

quantity
string

Order quantity

orderRejectionReason
string

Reason for order rejection if applicable

type
string

Order type (market, limit, etc.)

tradeAction
string

Trade action (buy, sell)

stopPrice
string

Stop price for stop orders

limitPrice
string

Limit price for limit orders